#pragma once

class UVCoord
{
public:
	UVCoord();
	UVCoord(float u, float v);
	UVCoord(const UVCoord& other);

	~UVCoord();

	float GetU() const;
	void SetU(const float u);
	float GetV() const;
	void SetV(const float v);

	UVCoord& operator= (const UVCoord& rhs);

private:
	float _u;
	float _v;

	void Copy(const UVCoord& other);

};

